#!/usr/bin/make -f
export PYBUILD_NAME=pandoc-plantuml-filter

debian/pandoc-plantuml.1: debian/pandoc-plantuml.xml
	xsltproc -nonet -param man.charmap.use.subset "0" \
		 -o debian/pandoc-plantuml.1 \
		 /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
		 debian/pandoc-plantuml.xml

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build: debian/pandoc-plantuml.1
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/pandoc-plantuml.1
	dh_auto_clean
